#pragma once

#include <contrib/libs/mongo-c-driver/libbson/src/bson/bson.h>
#include <util/generic/yexception.h>


namespace NUtil {
    class TMongoException : public yexception {
    public:
        TMongoException() {}

        TMongoException(const bson_error_t& error) {
            Append(error.message);
        }
    };
}

